Bug 586797 - lang-specific overrides rule doesn't work as expected
Summary: lang-specific overrides rule doesn't work as expected
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: paktype-naskh-basic-fonts   
(Show other bugs)
Version: 13
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Naveen Kumar
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On: 578015
Blocks: F13Target
TreeView+ depends on / blocked
 
Reported: 2010-04-28 11:51 UTC by Akira TAGOH
Modified: 2010-05-27 18:35 UTC (History)
3 users (show)

Fixed In Version: paktype-naskh-basic-fonts-3.0-7.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-05-27 18:35:46 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Akira TAGOH 2010-04-28 11:51:25 UTC
Description of problem:
All of detailed information is available on my post at the fonts list:
http://lists.fedoraproject.org/pipermail/fonts/2010-March/001117.html

binding="same" in the fontconfig config file prevents to apply the rule for the specific language only properly. As a result, fonts is used for non-targeted languages and it may gives different look and feel in some cases.

I'd propose to get rid of binding="same" from:
  67-paktype-naskh-basic-farsi.conf
  67-paktype-naskh-basic-sindhi.conf
  67-paktype-naskh-basic-urdu.conf

Comment 1 Fedora Update System 2010-05-06 05:39:59 UTC
paktype-naskh-basic-fonts-3.0-7.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/paktype-naskh-basic-fonts-3.0-7.fc13

Comment 2 Fedora Update System 2010-05-06 07:03:43 UTC
paktype-naskh-basic-fonts-3.0-7.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update paktype-naskh-basic-fonts'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/paktype-naskh-basic-fonts-3.0-7.fc13

Comment 3 Fedora Update System 2010-05-27 18:35:42 UTC
paktype-naskh-basic-fonts-3.0-7.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.